Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Interface AbleRemoteEventListenerRemoteManager

All Superinterfaces:
  java.rmi.Remote

public interface AbleRemoteEventListenerRemoteManager
extends java.rmi.Remote

The AbleRemoteEventListenerRemoteManager interface provides the methods needed to remotely add and remove AbleRemoteEventListener objects and to notify those listeners of an AbleEvent.

Method Summary
`void` | `addAbleRemoteEventListener(AbleRemoteEventListener theListener)` Adds an event listener to this bean.
`void` | `notifyAbleRemoteEventListeners(AbleEvent theEvent)` Notify all registered listeners by sending the specified event.
`void` | `removeAbleRemoteEventListener(AbleRemoteEventListener theListener)` Remove an event listener from this bean.

Method Detail

### addAbleRemoteEventListener

    public void addAbleRemoteEventListener(AbleRemoteEventListener theListener)
                                    throws java.rmi.RemoteException

  Adds an event listener to this bean.

  Parameters:
    `theListener` - An object interested in this bean.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### removeAbleRemoteEventListener

    public void removeAbleRemoteEventListener(AbleRemoteEventListener theListener)
                                       throws java.rmi.RemoteException

  Remove an event listener from this bean.

  Parameters:
    `theListener` - The object no longer interested in this bean.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### notifyAbleRemoteEventListeners

    public void notifyAbleRemoteEventListeners(AbleEvent theEvent)
                                        throws java.rmi.RemoteException

  Notify all registered listeners by sending the specified event.

  Parameters:
    `theEvent` - The AbleEvent to be broadcast to all listeners.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005